/*
 * Copyright (C) 2004 ONO, Masayuki <mono101@skill-engineering.com>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __FISH_HEADER__
#define __FISH_HEADER__

#include "LUSScreenSaverInterface.h"
#include "FishWidget.h"

class Fish : public LUSScreenSaverInterface
{
public:
    Fish();
    virtual ~Fish();

	QRESULT queryInterface(const QUuid&, QUnknownInterface**);
	Q_REFCOUNT
	
	QWidget* Init( int );
	void Start();
	void Stop();
	QString Name();
	QString Version();
	QString Comment();
	bool CanCustomize();
	void Setting();

private:
    void readConfig(void);
    void writeConfig(void);
    
private:
    FishWidget *m_fishWidget;
    int m_bubbles;
    int m_fish;
    int m_timer;
	ulong ref;    
};

#endif // __FISH_HEADER__

